import daj.*;


public class Main extends Application {
    
    private static int NODES = 3; // number of nodes
    private static int DIM = 600; // width and height of the window
    
    
    public static void main(String[] args) {
        new Main().run();
    }

    
    public Main() {
        super("LogicalTimeME", DIM, DIM);
    }
    
    
    public void construct() {
        Node node[] = new Node[NODES];
        int radius = (DIM - 200) / 2;
        double delta = 2 * Math.PI / NODES;
        double rad;
        
        // create the nodes, place them in a cycle
        rad = 0;
        for (int i = 0; i < NODES; i++) {
            node[i] = node(// use one of them
                           //new LogicalTimeME(i, NODES),
                           new RicartAgrawalaME(i, NODES),
                           (new Integer(i)).toString(),
                           (int)(DIM / 2 + radius * Math.cos(rad)),
                           (int)(DIM / 2 + radius * Math.sin(rad)));
            rad += delta;
        }
        
        // create channels between nodes
        for (int i = 0; i < NODES; i++) {
            for (int  j = 0; j < NODES; j++) {
                link(node[i], node[j]);
            }
        }
    }
    
    
    public String getText() {
        return "LogicalTimeME";
    }
    
}
